Last Comment Bug 1311730 - system addons blob needs to handle blobs without "addons" in them more gracefully
: system addons blob needs to handle blobs without "addons" in them more gracef...
Status: RESOLVED FIXED
:
Product: Release Engineering
Classification: Other
Component: Balrog: Backend (show other bugs)
: unspecified
: Unspecified Unspecified
-- normal (vote)
: ---
Assigned To: Ben Hearsum (:bhearsum)
: Ben Hearsum (:bhearsum)
:
Mentors:
Depends on: 1312772
Blocks:
  Show dependency treegraph
 
Reported: 2016-10-20 09:02 PDT by Ben Hearsum (:bhearsum)
Modified: 2016-10-27 06:20 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
fix bad lookups in SystemAddonsBlob (42 bytes, text/x-github-pull-request)
2016-10-24 13:58 PDT, Ben Hearsum (:bhearsum)
rail: review+
Details | Review | Splinter Review

Description User image Ben Hearsum (:bhearsum) 2016-10-20 09:02:18 PDT
Right now, we access "addons" without checking for its existence in many places. This is a bad assumption, because "addons" are not a required part of the blob. A simple self.get() or "if addons in self" guard should be enough.
Comment 1 User image Ben Hearsum (:bhearsum) 2016-10-24 13:58:54 PDT
Created attachment 8804042 [details] [review]
fix bad lookups in SystemAddonsBlob
Comment 2 User image [github robot] 2016-10-25 07:53:34 PDT
Commit pushed to master at https://github.com/mozilla/balrog

https://github.com/mozilla/balrog/commit/351dfa395752160420bec261d804a997b63d5748
bug 1311730: Gracefully handle missing addons section (#162). r=rail
Comment 3 User image Ben Hearsum (:bhearsum) 2016-10-27 06:20:15 PDT
This is in production.

Note You need to log in before you can comment on or make changes to this bug.